Debian Bug report logs - #566364
O: doc-central -- web-based documentation browser

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Charles Plessy <plessy@debian.org>

Date: Sat, 23 Jan 2010 07:15:01 UTC

Severity: normal

Merged with 698273

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, debian-devel@lists.debian.org, debian-devel@lists.debian.org, gpastore@debian.org, robert@debian.org, <wnpp@debian.org>:
Bug#566364; Package wnpp. (Sat, 23 Jan 2010 07:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, debian-devel@lists.debian.org, debian-devel@lists.debian.org, gpastore@debian.org, robert@debian.org, <wnpp@debian.org>. (Sat, 23 Jan 2010 07:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: doc-central
Date: Sat, 23 Jan 2010 16:12:22 +0900
Package: wnpp
Severity: normal

Dear Robert and everybody,

The native package doc-central looks abandonned by its listed maintainer,
Guilherme de S. Pastore (gpastore), whose last upload was four years ago.  It
currently has 298 popcon users, and has been updated two times in NMU by Robert
Luberda, who kept the package alive for the Lenny release.

doc-central has one release-critical bug, making it unfit for the release. Are
there volunteers to adopt it? Robert? The QA team? Otherwise, despite it is
useful, it is maybe time to give up and remove it from our archive...

Only two packages recommend doc-central, libsuitesparse-doc and gnumed-client.
I have filed bugs on them to loosen the dependancy to suggest or drop it, since
these package do not particuarly need doc-central and it is already suggested
by the doc-base package.

Have a nice day,

--
Charles Plessy,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#566364; Package wnpp. (Sat, 23 Jan 2010 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 23 Jan 2010 11:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 566364@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 566364@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#566364: RFH: doc-central
Date: Sat, 23 Jan 2010 12:00:25 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jan 23, 2010 at 04:12:22PM +0900, Charles Plessy wrote:
> doc-central has one release-critical bug, making it unfit for the release. Are
> there volunteers to adopt it? Robert? The QA team? Otherwise, despite it is
> useful, it is maybe time to give up and remove it from our archive...

I find this request of yours unsubstantiated.

The RC bug has a patch pending and is pretty easy to fix. I might
eventually NMU it to fix that, even though I'm not willing to maintain
the package right now.  Beside that bug, the package works quite well,
has a respectable number of popcon user (as you observe); I, for
instance, am a daily user of it.

So, exactly *why* you want this package to be removed, considering that
there are way more "bad" packages in the archive (and almost completely
unused) that would deserve removal first?

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#566364; Package wnpp. (Sat, 23 Jan 2010 12:58:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 23 Jan 2010 12:58:56 GMT) Full text and rfc822 format available.

Message #15 received at 566364@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: debian-devel@lists.debian.org
Cc: 566364@bugs.debian.org
Subject: Re: Bug#566364: RFH: doc-central
Date: Sat, 23 Jan 2010 12:53:48 +0000
[Message part 1 (text/plain, inline)]
On Sat, 23 Jan 2010 12:50:38 +0100
Stefano Zacchiroli <zack@debian.org> wrote:

> On Sat, Jan 23, 2010 at 11:18:57AM +0000, Neil Williams wrote:
> > Just out of interest, what's the difference between doc-central and
> > dwww ? 
> 
> That's a pretty damn good question :-)
> 
> I've made the choice between dwww and doc-central several years
> ago. _IIRC_ , back then dwww was missing decent browsing of the doc-base
> sections which is my main access path to documentation; more generally,
> I liked dwww more back then.  FWIW I've just re-looked at dwww after
> your prod, and it seems that it has improved a lot over time.

Agreed - and as dwww has progressed, doc-central appears to have
stalled. The Documentation Menu in dwww covers all I need from doc-base
and the addition of man page browsing, info document browsing, viewing
any file in any /use/share/doc/ directory and automatic linking from
changelog.Debian.gz to the BTS and similar - it's all really neat. Add
in the dpkg-www package to link to the Packages / apt cache data and
doc-central could have a lot of catching up to do.

The only thing missing (for me) from dwww is an area covered by devhelp
- and even then a simple symlink is enough to make things like the
gtk2.0 reference manual available in dwww.

devhelp has useful integration with some IDEs so that's why I use that
one as well.

> If the point of yours, beside curiosity, was also to phase out
> doc-central in favor of dwww, that might be an option, but then
> agreement should be sought between the two packages maintainer and a bit
> of smooth upgrade path should be provided.

Any migration would only be due to doc-central becoming orphaned and
then not adopted. doc-central appears to be a native Debian package, so
if it really is abandoned, it is could fall into bit-rot quite
quickly.

There are plenty of situations in Debian where users have a choice of
options that have pros-and-cons. Personally, I don't see a need to
migrate - yet - as long as doc-central is usable and does the smaller
task of just the doc-base files, it is probably worth having both.

If there is any particular content that advises doc-central over dwww
(on www.debian.org or on the Wiki) I'm not aware of it, so it's left to
user choice.

Having dwww just means that should doc-central need to be removed for
problems that arise in the future, we have a easy alternative.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#566364; Package wnpp. (Sat, 23 Jan 2010 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 23 Jan 2010 16:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 566364@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 566364@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#566364: RFH: doc-central
Date: Sun, 24 Jan 2010 01:34:35 +0900
Le Sat, Jan 23, 2010 at 12:00:25PM +0100, Stefano Zacchiroli a écrit :
> I find this request of yours unsubstantiated.
> 
> The RC bug has a patch pending and is pretty easy to fix. I might
> eventually NMU it to fix that, even though I'm not willing to maintain
> the package right now.  Beside that bug, the package works quite well,
> has a respectable number of popcon user (as you observe); I, for
> instance, am a daily user of it.
> 
> So, exactly *why* you want this package to be removed, considering that
> there are way more "bad" packages in the archive (and almost completely
> unused) that would deserve removal first?

I am also a happy user of doc-central and I am not saying that it should be
removed by all means. However, if it is de facto abandonned, the Project should
seek for a long term solution since it is a native package (i.e. it has not
upstream apart from Debian itself.)

This package was NMUed in Lenny and needs to be NMUed for Squeeze. If we do not
want to rely on somebody to NMU it in Squeeze+1, I think it needs to be
maintained or removed. I would be most happy if it would be maintained,
therefore I have CCed the person who seems to care most for this package.

If you NMU this package, may I suggest to orphan it and put it in collab-maint?
I offer to do the work if you like the idea (svn or git, just let me know).

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#566364; Package wnpp. (Sat, 23 Jan 2010 17:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 23 Jan 2010 17:30:12 GMT) Full text and rfc822 format available.

Message #25 received at 566364@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: debian-devel@lists.debian.org
Cc: 566364@bugs.debian.org
Subject: Re: Bug#566364: RFH: doc-central
Date: Sat, 23 Jan 2010 18:28:16 +0100
On Sat, 2010-01-23 at 12:53 +0000, Neil Williams wrote:
> On Sat, 23 Jan 2010 12:50:38 +0100
> Stefano Zacchiroli <zack@debian.org> wrote:
> 
> > On Sat, Jan 23, 2010 at 11:18:57AM +0000, Neil Williams wrote:
> > > Just out of interest, what's the difference between doc-central and
> > > dwww ? 
> > 
> > That's a pretty damn good question :-)
> > 
> > I've made the choice between dwww and doc-central several years
> > ago. _IIRC_ , back then dwww was missing decent browsing of the doc-base
> > sections which is my main access path to documentation; more generally,
> > I liked dwww more back then.  FWIW I've just re-looked at dwww after
> > your prod, and it seems that it has improved a lot over time.
> 
> Agreed - and as dwww has progressed, doc-central appears to have
> stalled. The Documentation Menu in dwww covers all I need from doc-base
> and the addition of man page browsing, info document browsing, viewing
> any file in any /use/share/doc/ directory and automatic linking from
> changelog.Debian.gz to the BTS and similar - it's all really neat. Add
> in the dpkg-www package to link to the Packages / apt cache data and
> doc-central could have a lot of catching up to do.
> 
> The only thing missing (for me) from dwww is an area covered by devhelp
> - and even then a simple symlink is enough to make things like the
> gtk2.0 reference manual available in dwww.
> 
> devhelp has useful integration with some IDEs so that's why I use that
> one as well.
> 
> > If the point of yours, beside curiosity, was also to phase out
> > doc-central in favor of dwww, that might be an option, but then
> > agreement should be sought between the two packages maintainer and a bit
> > of smooth upgrade path should be provided.
> 
> There are plenty of situations in Debian where users have a choice of
> options that have pros-and-cons. Personally, I don't see a need to
> migrate - yet - as long as doc-central is usable and does the smaller
> task of just the doc-base files, it is probably worth having both.

I don't use either. I gave a quick-try to both of them.
If I where to use one of them, I would probably use doc-central, because
it doesn't depends on any indexing tools (dlocate, squish...).

> If there is any particular content that advises doc-central over dwww
> (on www.debian.org or on the Wiki) I'm not aware of it, so it's left to
> user choice.

It's best if packages pros/cons are summarized in package description.

Here's a page for g**glers (contributions are welcome):
 http://wiki.debian.org/doc-base

Franklin





Added indication that 566364 affects doc-central Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 10:18:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFH: doc-central -- web-based documentation browser' from 'RFH: doc-central' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Tue, 26 Jan 2010 10:24:10 GMT) Full text and rfc822 format available.

Removed indication that 566364 affects doc-central Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 29 Jan 2013 00:51:06 GMT) Full text and rfc822 format available.

Merged 566364 698273 Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 29 Jan 2013 00:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'O: doc-central -- web-based documentation browser' from 'RFH: doc-central -- web-based documentation browser' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 25 May 2013 09:24:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:37:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.